| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Attributes | List of all members
Digikam::MaintenanceSettings Class Reference

## Public Attributes
AlbumList | albums
bool | autotagsAssignment = false
| Autotags assignment.
AutotagsScanSettings | autotagsSettings
| Autotags settings.
bool | cleanFacesDb = false
bool | cleanSimilarityDb = false
bool | cleanThumbDb = false
bool | clearRejectedFaces = false
| clear rejected face matches.
bool | databaseCleanup = false
| Perform database cleanup.
bool | duplicates = false
| Scan for new items.
HaarIface::DuplicatesSearchRestrictions | duplicatesRestriction = HaarIface::DuplicatesSearchRestrictions::None
| The type of restrictions to apply on duplicates search results.
bool | faceManagement = false
| Scan for faces.
FaceScanSettings | faceSettings
| Face detection settings.
bool | fingerPrints = false
| Generate finger-prints.
int | maxSimilarity = 100
| Maximal similarity between items to compare, in percents.
bool | metadataSync = false
| Sync metadata and DB.
int | minSimilarity = 90
| Minimal similarity between items to compare, in percents.
bool | newItems = false
| Find new items on whole collection.
ImageQualitySettings | qualitySettings
| Image Quality Sorting Settings.
bool | qualitySort = false
| Perform Image Quality Sorting.
bool | scanFingerPrints = false
| Rebuild all fingerprints or only scan missing items.
bool | scanThumbs = false
| Rebuild all thumbnails or only scan missing items.
bool | shrinkDatabases = false
int | syncDirection = MetadataSynchronizer::WriteFromDatabaseToFile
| Sync direction (image metadata <-> DB).
AlbumList | tags
bool | thumbnails = false
| Generate thumbnails.
bool | useMutiCoreCPU = false
| Use Multi-core CPU to process items.
bool | wholeAlbums = true
bool | wholeTags = true